#include "ad_types.h"

void
ad_init_array_long_double(long double * helper, DERIV_TYPE * array, int count)
{
  int i;
  for (i = 0; i < count; i++) {
    DERIV_val(array[i]) = helper[i];
    ADIC_ZeroDeriv(array[i]);
  }
}

void
ad_init_array_double(double * helper, DERIV_TYPE * array, int count)
{
  int i;
  for (i = 0; i < count; i++) {
    DERIV_val(array[i]) = helper[i];
    ADIC_ZeroDeriv(array[i]);
  }
}

void
ad_init_array_float(float * helper, DERIV_TYPE * array, int count)
{
  int i;
  for (i = 0; i < count; i++) {
    DERIV_val(array[i]) = helper[i];
    ADIC_ZeroDeriv(array[i]);
  }
}

